<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        td {
            border: 1px solid black;
        }

        form {
            display: flex;
            flex-direction: column;
            align-items: flex-start;
        }

        label {
            margin-bottom: 0.5em;
        }

        input,
        select {
            padding: 0.5em;
            margin-bottom: 1em;
            border-radius: 5px;
            border: none;
            box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
        }

        input[type="radio"] {
            margin-right: 0.5em;
        }

        input[type="submit"] {
            background-color: #007bff;
            color: #fff;
            padding: 0.5em 1em;
            border: none;
            border-radius: 5px;
            cursor: pointer;
            box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
        }

        input[type="submit"]:hover {
            background-color: #0062cc;
        }
    </style>
</head>

<body>
    <h1>Registracija korisnika</h1>
    <h2>Osnovni podaci</h2>
    <form action="/action_page.php">
        <section>
        <label for="ime">Ime:</label>
        <input type="ime" id="ime" name="ime" maxlength="60">
        <br>
        <label for="prezime">Prezime:</label>
        <input type="prezime" id="prezime" name="prezime" maxlength="60">
        <br>
        <label for="email">Email:</label>
        <input type="email" pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,}$" required maxlength=60>
        <br>
        <label for="zaporka">Zaporka</label>
        <input type="password" id="zaporka" name="zaporka">
        <br>
        <label for="pozivni broj">pozivni broj mobitela</label>
        <select id="pozivni broj" id="pozivni broj" required>
             <option value="91">091</option>
             <option value="92">092</option>
             <option value="95">095</option>
             <option value="97">097</option>
             <option value="98">098</option>
             <option value="99">099</option>

        </select><br>

        <label for="mobitel">Broj mobitela:</label>
        <input type="tel" name="broj" maxlength="7" required><br>
        
        <label for="spol">Spol:</label>
        <div id="spol">
            <input type="radio" id="musko" name="spol" value="0" required>
            </label for="musko">Musko </label>
            <input type="radio" id="zensko" name="spol" value="0" required>
            </label for="zensko">Zensko </label>
        </div> <br>

        <label for="Datum rođenja">Datum rođenja</label>
        <input type="date" id="datum" required>
        </section>
        <br>

        <section>
        <h2>Adresa</h2>
        <label for="Adresa">Adresa</label>
        <input type="text" input type="tel" required maxlength="60">
        <br>
        <label for="kućni broj">Kućni broj</label>
        <input type="text" input type="tel" placeholder="Unesite kućni broj" required maxlength="4">
        <br>
        <label for="dodatni kućni broj">Dodatni kućni broj</label>
        <input type="text" input type="tel" placeholder="Unesite dodatni broj" required maxlength="10">
        <br>
        <label for="mjesto">Mjesto</label>
        <select id="mjesto" id="mjesto" required>
            <option value="297">Bjelovar</option>
            <option value="1517">Đurđevac</option>
            <option value="3015">Križevci</option>
            <select> <br>
        <label for="županija">Županija</label>
        <select id="županija" id="pozivni broj" required>
            <option value="14">Bjelovarsko-bilogorska</option>
            <option value="17">Koprivničko-križevačka</option>
            <select>
        </section>
        <br>

        <section>
        <h2>Trivia</h2>
        <label for="broj ljubimaca">Broj kućnih ljubimaca:</label>
        <input type="number" id="broj ljubimaca" name="broj ljubimaca" min="1" max="5">
        <br>
        <label for="omiljeni film">Omiljeni film:</label>
        <input type="url" id="omiljeni film" name="omiljeni film" maxlength="200">
        <br>
        <label for="programski jezik">Programski jezik</label>
        <select id="programski jezik" id="programski jezik" required>
            <option value="297">Web programiranje</option>
            <option value="1517">Mobilno programiranje</option>
            <option value="297">Baze</option>
            <option value="1517">Game development</option>
            <select> <br>
        <label for="omiljena boja">Omiljena boja:</label>
        <input type="color" id="omiljena boja" name="omiljena boja" required maxlength="7">
        </section>

        <input type="submit" value="Registriraj se">


    </form>
</body>

</html>